curl --url https://try.flipt.io/api/v1/namespaces/default/flags/{key} \
--header 'Accept: application/json'
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
}
],
"namespaceKey": "<string>",
"defaultVariant": {
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
},
"metadata": {}
}Flags
Get Flag
GET
/
api
/
v1
/
namespaces
/
{namespaceKey}
/
flags
/
{key}
curl --url https://try.flipt.io/api/v1/namespaces/default/flags/{key} \
--header 'Accept: application/json'
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
}
],
"namespaceKey": "<string>",
"defaultVariant": {
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
},
"metadata": {}
}curl --url https://try.flipt.io/api/v1/namespaces/default/flags/{key} \
--header 'Accept: application/json'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Available options:
VARIANT_FLAG_TYPE, BOOLEAN_FLAG_TYPE Show child attributes
Show child attributes
Was this page helpful?
⌘I